﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="14.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|ARM">
      <Configuration>Debug</Configuration>
      <Platform>ARM</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|ARM">
      <Configuration>Release</Configuration>
      <Platform>ARM</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|ARM64">
      <Configuration>Debug</Configuration>
      <Platform>ARM64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|ARM64">
      <Configuration>Release</Configuration>
      <Platform>ARM64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x86">
      <Configuration>Debug</Configuration>
      <Platform>x86</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x86">
      <Configuration>Release</Configuration>
      <Platform>x86</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="Box2D\Collision\b2BroadPhase.cpp" />
    <ClCompile Include="Box2D\Collision\b2CollideCircle.cpp" />
    <ClCompile Include="Box2D\Collision\b2CollideEdge.cpp" />
    <ClCompile Include="Box2D\Collision\b2CollidePolygon.cpp" />
    <ClCompile Include="Box2D\Collision\b2Collision.cpp" />
    <ClCompile Include="Box2D\Collision\b2Distance.cpp" />
    <ClCompile Include="Box2D\Collision\b2DynamicTree.cpp" />
    <ClCompile Include="Box2D\Collision\b2TimeOfImpact.cpp" />
    <ClCompile Include="Box2D\Collision\Shapes\b2ChainShape.cpp" />
    <ClCompile Include="Box2D\Collision\Shapes\b2CircleShape.cpp" />
    <ClCompile Include="Box2D\Collision\Shapes\b2EdgeShape.cpp" />
    <ClCompile Include="Box2D\Collision\Shapes\b2PolygonShape.cpp" />
    <ClCompile Include="Box2D\Common\b2BlockAllocator.cpp" />
    <ClCompile Include="Box2D\Common\b2Draw.cpp" />
    <ClCompile Include="Box2D\Common\b2Math.cpp" />
    <ClCompile Include="Box2D\Common\b2Settings.cpp" />
    <ClCompile Include="Box2D\Common\b2StackAllocator.cpp" />
    <ClCompile Include="Box2D\Common\b2Timer.cpp" />
    <ClCompile Include="Box2D\Dynamics\b2Body.cpp" />
    <ClCompile Include="Box2D\Dynamics\b2ContactManager.cpp" />
    <ClCompile Include="Box2D\Dynamics\b2Fixture.cpp" />
    <ClCompile Include="Box2D\Dynamics\b2Island.cpp" />
    <ClCompile Include="Box2D\Dynamics\b2World.cpp" />
    <ClCompile Include="Box2D\Dynamics\b2WorldCallbacks.cpp" />
    <ClCompile Include="Box2D\Dynamics\Contacts\b2ChainAndCircleContact.cpp" />
    <ClCompile Include="Box2D\Dynamics\Contacts\b2ChainAndPolygonContact.cpp" />
    <ClCompile Include="Box2D\Dynamics\Contacts\b2CircleContact.cpp" />
    <ClCompile Include="Box2D\Dynamics\Contacts\b2Contact.cpp" />
    <ClCompile Include="Box2D\Dynamics\Contacts\b2ContactSolver.cpp" />
    <ClCompile Include="Box2D\Dynamics\Contacts\b2EdgeAndCircleContact.cpp" />
    <ClCompile Include="Box2D\Dynamics\Contacts\b2EdgeAndPolygonContact.cpp" />
    <ClCompile Include="Box2D\Dynamics\Contacts\b2PolygonAndCircleContact.cpp" />
    <ClCompile Include="Box2D\Dynamics\Contacts\b2PolygonContact.cpp" />
    <ClCompile Include="Box2D\Dynamics\Joints\b2DistanceJoint.cpp" />
    <ClCompile Include="Box2D\Dynamics\Joints\b2FrictionJoint.cpp" />
    <ClCompile Include="Box2D\Dynamics\Joints\b2GearJoint.cpp" />
    <ClCompile Include="Box2D\Dynamics\Joints\b2Joint.cpp" />
    <ClCompile Include="Box2D\Dynamics\Joints\b2MotorJoint.cpp" />
    <ClCompile Include="Box2D\Dynamics\Joints\b2MouseJoint.cpp" />
    <ClCompile Include="Box2D\Dynamics\Joints\b2PrismaticJoint.cpp" />
    <ClCompile Include="Box2D\Dynamics\Joints\b2PulleyJoint.cpp" />
    <ClCompile Include="Box2D\Dynamics\Joints\b2RevoluteJoint.cpp" />
    <ClCompile Include="Box2D\Dynamics\Joints\b2RopeJoint.cpp" />
    <ClCompile Include="Box2D\Dynamics\Joints\b2WeldJoint.cpp" />
    <ClCompile Include="Box2D\Dynamics\Joints\b2WheelJoint.cpp" />
    <ClCompile Include="Box2D\Rope\b2Rope.cpp" />
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{0c61409d-d6cc-4839-82d8-798716d6312e}</ProjectGuid>
    <Keyword>Android</Keyword>
    <RootNamespace>Box2D</RootNamespace>
    <MinimumVisualStudioVersion>14.0</MinimumVisualStudioVersion>
    <ApplicationType>Android</ApplicationType>
    <ApplicationTypeRevision>2.0</ApplicationTypeRevision>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x86'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x86'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings" />
  <ImportGroup Label="Shared" />
  <ImportGroup Label="PropertySheets" />
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x86'">
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x86'">
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM64'">
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM64'">
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'">
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM'">
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(ProjectDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <CppLanguageStandard>c++11</CppLanguageStandard>
    </ClCompile>
    <Link>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);m</LibraryDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(ProjectDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <CppLanguageStandard>c++11</CppLanguageStandard>
    </ClCompile>
    <Link>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);m</LibraryDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x86'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(ProjectDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <CppLanguageStandard>c++11</CppLanguageStandard>
    </ClCompile>
    <Link>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);m</LibraryDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x86'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(ProjectDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <CppLanguageStandard>c++11</CppLanguageStandard>
    </ClCompile>
    <Link>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);m</LibraryDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM64'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(ProjectDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <CppLanguageStandard>c++11</CppLanguageStandard>
    </ClCompile>
    <Link>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);m</LibraryDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM64'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(ProjectDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <CppLanguageStandard>c++11</CppLanguageStandard>
    </ClCompile>
    <Link>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);m</LibraryDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(ProjectDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <CppLanguageStandard>c++11</CppLanguageStandard>
    </ClCompile>
    <Link>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);m</LibraryDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(ProjectDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <CppLanguageStandard>c++11</CppLanguageStandard>
    </ClCompile>
    <Link>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);m</LibraryDependencies>
    </Link>
  </ItemDefinitionGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets" />
</Project>